Purpose of the program and area of application.

The program concerns to raster graphic editors though has many properties of vector editors. The program allows creating complex images of 2D graphics and provides some ways of creation of volumetric images. The program has all advantages of raster editors for updating colors and provides thin transformation of raster images. Vector properties of program allow creation images that can be used for execution of engineering circuits, diagrams and volumetric models. Original ways of fill of selected area of image can be used for development of textures.
Images Generator is an application with a wide scope. The graphic editor allows creating from elements of Web pages as banners, backgrounds, headings, buttons, navigation panels, textures to whole professionally executed Web sites. You can create drawings for engineering and science, painted art, 3d scenes, wallpaper and craft projects, textile patterns, logo, оrnaments, trademarks and others. Images Generator makes retouching of photographs, composing and authoring images possible. You can break to pieces images and make collages of these pieces. The unlimited amount of shape templates can be obtained by a combination of the built - in templates.
Program support for many popular file formats. There are 37 formats to open and 24 formats to save. You can create 32 and 16 bit icons saving images with ico extension.
The program ensures the functioning with the printer and the scanner.
Can be used by novice users and children

More about Images Generator use click here Images Generator VIDEO TUTORIALS


Characteristics and distinctive features.

Characteristics and distinctive features of the program.

The program has a full tooling of two-dimensional graphics. It has about 200 graphic filters and transformers. In the program some ways of construction of volumetric images and a plenty of methods of painting of a part of the image are used. Lines, created by combining built - in curves, can be used as directional line for the text. The Images Generator provides the interface with many documents. You simultaneously can open or create some images in different windows. The program allows opening and saving files more than 20 graphic formats. For PNG and GIF files the transparency is supported. Power of the modern graphic editor can be used for construction 32 and 16 digit icons. Work with the scanner and the printer is provided. Start of the program can be carried out from a command line.

Main distinctive features are:

  • Gradient fill is carried out in view of image area borders. Lines, which configuration is determined by image area borders, are used for this. Examples.

  • The program gives an opportunity to carry out lines of variable width. The width of lines can change on complex functional dependences. Examples.

  • Brushes of two types Vector brushes and Raster brushes are used. Vector brush tip is vector image, Raster brush tip is raster image. The user himself creates the vector and raster images. Vector image consist of multicolor lines. To obtain vector image dialogs Shapes, Colors, Fill and outline modes and Selection tools are used. As raster image selected part of source image is used. Raster and Vector brushes use trajectory, which is created by the user with use of same tools that are used for obtaining vector image. In points of a trajectory vector image can change the sizes, proportions and angles of turn. The amount of image portrayals is adjusted parameter and can vary over a wide range. More detail .

  • The unique method of transformation of the raster images is used. It allow to obtain realistic high quality images. Examples.

  • Original methods of selecting of image area with using of color characteristics of the image are applied. For determination of affinity of colors the following characteristics are used: a belonging of one component of RGB or HSL color model or any combination of components to the given range and belonging of sum of RGB color model components to the given range. Selection tool Background border selects area, which border is points of the specific color or range of colors. More detail

  • The toolbox Shapes allows to use plenty predefined shape templates. The combination of the predefined shape templates allows creating practically unlimited amount of shapes. Examples.

  • The Images Generator allows drawing lines various ways. Realization of lines is possible with using Raster and Vector brushes and trajectories. Realization of lines is possible by sequence of colors which is set with the help of a dialogue window. Built - in mathematical curves are used as trajectories for realization of lines. Examples

  • Fill of selected area may be carried out by realization of lines. For every fill line you may to specify not only color but also level of transparency. There are some built - in functions with which help the level of a transparency for the next line from a sequence of lines is determined. Access to these functions is provided with the help of the option “Transparency law ”. Examples

  • One of ways of creation of textures is realization of lines of the given configuration, allowing forming the predetermined figure. In the program the algorithms providing creation of a plenty of various patterns are used. Examples.

  • Cool new effects as volumetric effect let you to create unique images. Examples .

Images Generator VIDEO TUTORIALS


Системные требования

System Requirements

  • Operation systems: Windows 2000/XP/Vista/Win7
  • CPU: Pentium 750 MHz or higher
  • 256 Mb RAM
  • 20 Mb free disk space
  • SVGA 800x600 True Color video mode


Урок 1

Tutorial 1 (conceptual).
(movie tutorial is avaible)

Run program. Click button Start(7) of tools panel Toolbar1.

Figure 1. Tools panel Toolbar1.

The ellipse of red color will be drawn. It is the first image created by you. Press the button Current Selection (12). Blinking dashed line will appear. This line is border of the selected part of the image - Selection. Selection is property of each Image Window. Selection can coincide with overall window or to be its part. Border of Selection is the continuous closed line.
To change a location of Selection press mouse button inside ellipse and move the mouse. Release the button and again press button Start. The ellipse will be drawn in the other place. Blinking dashed line will disappear. Press mouse button and move the mouse. Release mouse button and click button Start. The ellipse will be drawn again. Sizes of this ellipse are determined by length of distance on which the mouse has moved .
Click the button Shapes (15) of tools panel. The dialogue window Shapes will be opened. Turn on an option button Rhombus and close a window. Now at execution of the described above procedures a rhombus instead ellipse will be drawn.
With the help of the described techniques create a figure similar to figure 2a.

From the opened list of the dropdown button Selection Tools (11) choose tool Magic Wand1. Click on a point of red color of a figure 2а. The blinking dashed line being border of new Selection will appear. Move blinking line with the mouse and press button Start. A figure shown in picture 2b will be created.
You can to save in a file overall picture or to save a part of picture. To save a part of picture in a file execute command of menu Edit "Cut out and copy Selection " and "Paste as new image". Save created image by executing command “Save as” of menu File.

Thus, we have learned as to obtain Selection of the complex shape, as to save it as a line and to restore Selection using Selection tools. Program Images Generator let you to carry out fill and outline Selection by various ways and to apply filters and transformations to the selected image area. You can create custom brushes using Selection and create new images by copying and pasting Selection. The border of Selection determines a curve that will be used as a connecting line, as a trajectory for brush and as directional line of text.


Exploring the application window.

The "Images Generator" application window contains elements that help you access the tools and commands you need to view and edit images. Application commands are accessible through the menu bar, toolbox and toolbars. You can customize many of the elements in the application window to suit your workflow.

The figure represents: 1-Menu bar, 2- tools panel Toolbar1, 3-floating tools panel Toolbar2, 4-tools panel Toolbar3, 5- Image windows.

Destination of application elements:

Menu bar | The area containing drop-down menus with commands grouped by category
Toolbar1, Toolbar2, Toolbar3 | Bars that contain shortcuts to some menus and other basic commands, such as opening, saving, and painting. The Toolbar3 contains the color control area, which lets you select colors
Image windows | This is the area in which the image displays and where you may draw and perform other actions. Although more than one image window can be open at the same time, you can apply commands to the active image window only.
Image Prototype window | In this window preliminary creation of images is carried out.
Title bar | The area on the image window displaying the title of the image.
Status bar | The status bar is in the bottom of main window. It displays information about the image.


Tool panel Toolbar1.

Toolbar1 consist of buttons that are shortcuts to menu commands. The table below outlines the buttons on the Toolbar1

1 | This button let you to start a new Image window
2 | This button let you to open an image.
3 | This button let you to save an image
4 | Undo. This undoes the most recent action that you've taken that affects the image.
5 | Redo This redoes the most recent action that you've undone.
6 | Click this button to clean up image window.
7 | Start creating image using settings, given with dialogue window "Fill and outline modes" help.
8 | This button allow you to clean up Image window for every start-up
9 | Click this button to create raster brush tip. Raster brush tip is raster image that is determined by selected image area. Shape of border is determined by selection of transparent color. Dialogue window "Raster Brush creation" is used for this. Details.
10 | Click this button to create Vector brush tip. Vector brush tip is vector image that is created with dialogue windows "Colors", "Shapes" and "Modes" help. Details.
11 | This dropdown button is switch of Selection Tools.
12 | This dropdown button let you to display current Selection border and to smooth border of Selection
13 | Click this buton to set width and height of Selection equal to sizes of Image window
14 | This button let you to set sizes and location of image and Selection with dialogue window "Sizes" help
15 | This button let you to set shape of Selection with dialogue window "Shapes" help.
16 | This button let you to set sequence of colors with dialogue window "Colors" help.
17 | This button let you to set fill and outline modes and parameters with dialogue window "Fill and Outline modes" help.
18 | This button let you to rotate, flip and resize selected image area with dialogue window "Rotation and deformation" help.
19 | This button let you to duplicate image with dialogue window "Duplication" help.
20 | Buton of tool "Fill Selection by lines". Fill mode is set with dialogue window "Fill image area" help, which opens when you click this button.
21 | Dropdown button of tool "Thin transformation".
22 | Dropdown button let you to select and apply Quick tools. These tools are following: Inversion, Uniform color, Sun spot, Grid, Button, Backdrop Removal. Details
23 | Click this button to open dialogue window "Colors"
24 | Help


Tool panel Toolbar2.

The table below outlines the controls on the Toolbar2 and their functional purpose.

1 | Activation of controls of the tools panel Toolbar1
2 | Button "Vector brush" let you to use tool Vector brush. Press this button. When you click the mouse brush image will be drawn in click point. Dragging the mouse will leave a trail of paint, allowing you to use the brush image as a paintbrush. If you click button Start of Toolbar1, the dialogue window "Vector brush rotation and movement on a trajectory" opens. With the help of this window angle of turn, factors of change of the sizes along a trajectory and amount of points of trajectory are set. At closing this window brush image will be drawn in points of trajectory. The trajectory is set with the help of selection tools. Creation of a vector brush is carried out with the help of the button "Creation of a Vector brush" of tools panel Toolbar1.
3 | Button "Raster brush" let you to use tool Raster brush.. When you click the mouse brush tip will be drawn in click point. Dragging the mouse brings one of two variants. The first variant is: dragging the mouse will leave a trail of paint, allowing you to use the brush tip as a paintbrush. The second variant is: dragging the mouse will move brush tip. These variants are specified at creation of a raster brush. If you click button Start of Toolbar1, the dialogue window "Raster brush rotation and movement on a trajectory" opens. With the help of this window angle of turn and amount of points of trajectory are set. At closing this window brush tip will be drawn in points of trajectory. The trajectory is set with the help of Selection Tools. Creation of a Raster brush is carried out with the help of the button "Creation of a Raster brush " of tool panel Toolbar1.
4 | Fill tool is based upon the seed color you pick on the image to select a contiguous region and fill with the specified Foreground color. Foreground color is set with controls of tool panel Toolbar3 help.
5 | Preset brushes. The choice of a brush and setting of parameters are carried out with the help of the switches located in the bottom part of a window.
6 | The tool Zoom. By pressing the button the window opens, allowing to choose scale and one of tools Pen, Line or Eyedropper. To return to the original sizes click button OK.
7 | Tool Eyedropper. Eyedropper allows you to determine color in a point. At click of the mouse the indicator of foreground color of the panel Toolbar3 and indicators of color of some dialogue windows are set.
8 | Clone tool enables to copy area of the image in other area of same or other image. Hold down Shift key and click on the image for the source point. Select draw width with command button "Draw width". Click and drag on the image window to draw the lines
9 | Pen tool. Select foreground color using Toolbar 3. Select draw width. Click and drag on the image window to draw the line.
10 | The text. By pressing the button the dialogue window, which allows to set the text and its characteristics, opens. At closing this window the text can be moved by the mouse in a required position.
11 | Tooling of type the Spray. Parameters are set by switches "Draw Width " and "Parameter".
12 | The tool Bezie Curves. Enables to carry out Bezie curves. Color and width are determined similarly to the Pen tool.
13 | The tool Line. Enables to carry out straight lines. Color and width are determined similarly to the Pen tool.. Click and drag on the Image window to draw the line. For realization of a horizontal line, a vertical line or line under a angle of 45 degrees press button " Shift ". You can to measure distance between two points and an angle between segments with help of this tool.
14 | Grid. By the first pressing there is a uniform grid. By the second pressing the grid disappears. At a seen grid tools "Raster brush ", "Pen tool", "Line", "Polygon", "Bezie Curves" can be used
15 | Polygon Tool. Color and width are determined similarly to the Pen tool. Click and drag on the image window to draw the line. For end of construction of a line right click mouse.
16 | Switch "Draw width" let you to set parameter Draw width
17 | Switch "Parameter " allows to set parameters at the pressed button "Preset brushes " or "Spray".
18 | This Switch allows to select one of preset brushes at the pressed button "Preset brushes " or "Spray".


Tool panel Toolbar3.

The table below outlines the controls on the Toolbar3

1 | Display of foreground color
2 | Display of background color
3 | Palette of colors. Left click to set foreground color. Right click to set background color.
4 | Color display. Mouse click to select foreground color
5 | Lens. Use lens with Eyedropper tool


Диалоговое окно Форма

Dialogue window "Shapes"

Dialogue window "Shapes" make possible to set the shape of the Selection. Left side of toolbox "Shapes" you can see three figures. Option buttons and scroll bars, located on the right from there, let you to set shape of bottom and middle figures. Shape of top figure is determined as sum of bottom and middle figures.

The table below outlines the controls of the dialogue window.

1 | Elements "Orientation and turns" let you to set orientation of axes X and Y
2 | Elements "Rotation" let you to rotate figures. The scroll bar "Distortion" let you to carry out offset of the top border concerning bottom border. Elements "Perspective" let you to make shape of figure asymmetrical.
3 | Top figure
4 | Scroll bars let you to determine shape parameters of middle figure.
5 | Help button facilitates choice of the middle figure shape
6 | Option buttons let you to determine shape of the middle figure
7 | Middle and bottom figures
8 | Scroll bars let you to determine shape parameters of bottom figure
9 | Help button facilitates choice of the bottom figure shape
10 | Option buttons let you to determine shape of bottom figure


Toolbox Color

Dialogue window "Colors".

Dialogue window "Colors" let you to specify used colors and their sequence.
The color set is used for such purposes. Fill in Linear mode is carried out by realization of a sequence of the lines having different colors. Colors of lines are determined by the given color set. Details.
Lines can be carried out by different colors using this color set examples click here. To draw lines in Multi-color mode check off option "Multicolor line modes" (15).

Options (3) allow you to chose mode "Generation of a color set" shown below or a mode "Rotation of colors set". The dialogue window in mode "Rotation of colors set" is shown click here.

The table below outlines the controls of the toolbox

1 | Color panel displaying color sequence.
2 | Scroll bar let you to see all colors in color sequence and to rotate color sequence.
3 | These option buttons let you to select one of two modes. There are "Generation of colors set" and 'Rotation of colors set modes'.
4 | Buttons "8 colors", "16 colors", "35 colors","64 colors" and "256 colors" let you to set fixed set of colors. The button "1 color" enables to set sole color. This color is determined by controls 11. Button "Double" doubles amount of colors in a color set.
5,6 | If you click these buttons the amount of colors in a color set will be set equal to amount of elementary parts of which the curve being border of the current Selection consists. The sequence of colors is determined by indicators "Start color" and "End color" or by color set, which is displayed by Color Panel. Option "Multicolor line mode" will be checked. Text field (10) will contain the amount of elementary pieces of which the border of Selection consists.
7 | To add or to remove color it is possible by clicking the mouse in the appropriate place of the Color Panel. The value of the option buttons "Add color" and "Remove color" should to correspond to operation type.
8 | The indicator of the current color at moving of a slider cursor
9,10,13,14 | The order of colors in a color sequence can be set with the help of the controls: the button "Set color sequence", indicators "Start color", "End color" and list of functions "Sinusoid", "Gradient", "Exponent", "HSL"' "Triangle", "Dexponent". When you click the button "Set color sequence" sequence of colors is determined in a range given by the contents of textual fields "Start color" and "End color". The contents of textual fields "Start color", "End color" is determined automatically when you press buttons "1 color", "8 colors", "16 colors", "35 colors", "64 colors" or "256 colors", Contents of this text fields may be determined manually, or the right button of the mouse and Color Panel may be used for this.
11 | Controls 11 let you to select color, used by Color Panel 1 and by indicators 9.
12 | This button let you to cut out a part of a color sequence, numbers of the ends of which are written down in text fields "Start color" and "End color", and to reflect this part on all color sequence.
15 | A line can be realized by several colors. Check box "Multicolor line mode" must be checked for this. Sequence of colors of line is determined by sequence of colors in the Color panel and by adjustments of elements under an inscription "Multicolor Line Mode".
16 | At realization of crossed among themselves lines color of their common parts is determined by a color blend mode. List "Color blend modes" let you to chose mode.
17 | Elements located under heading "Active window background color" allow you to set Image window background color.
18 | You can to save in memory sequence of colors and paste it in color panel using buttons "Copy color sequence", "Paste color sequence" and "Add color sequence".


Colors in mode Rotation

Dialogue window "Colors" in mode "Rotation of colors:.

The dialogue window "Colors" in a mode " Rotation of colors" provides rotation of colors sequence and segmentation of Selection borderline.
Rotation of colors sequence. Use Color panel and slider (1) to carry out this tasks. Results of rotation you can see with color panel 1 help.
Segmentation of Selection borderline. Segmentation of Selection borderline provides solution of next tasks. For every segment you can to set color or gradient sequence of colors, you can to set width or law of change of width or you can cut out segment and to use that segment independent of initial line. For a choice of one of these tasks use option buttons 8, 9, 10. Scaled Selection borderline is shown in picture below. Check off option "Show alteration points" 3. Markers as circles of red color (7) will be seen at that. The density of these markers can be adjusted with the help of a slider (5). When you click mouse in red circles their numbers will be enroll in textual fields (12). To select segment of line click mouse in end points of this segment. To set gradient sequence of colors for selected segment set colors of indicators , choose type of a color sequence with the help of the switch "Sequence type" (13) and click the button "Set sequence" (14).
The slider "Null point " (6) serves for positioning of the dark blue color circle being a null point. Thus ambiguity in a selection of a part of a line is eliminated.
The law of change of width for the chosen segment is similarly set. The width of end points of a segment is set with the help of switches 11. The law of change of width between end points is set with the help of the switch 14.
To cut out a part of a line set the end points and click button "Cut out".
Return to a mode Generation of colors set is carried out with the help of the option "Generation of colors set" (2).


Диалоговое окно Режимы обводки и закрашивания

Dialog window "Fill and outline modes"

When you click the button Start of tools panel Toolbar1 two procedures may be carried out. There are fill and outline of image selected area. Each of this procedure have options. The dialog window "Fill and outline modes" is used. for setting of this procedures.
In modes "Sequential", "Concentric" and "Manual" fill is carried out by realization of lines which configuration is determined algorithmically in view of a configuration of Selection border. Mode Picture allows to use the built - in fill patterns. Pixel mode let you to set the function of change color components for everyone pixel of the selected image area. Mode Graphic curves let you to use given by mathematical expressions curves.

The table below outlines the controls of the toolbox and there functionalities.

1 | If you check off this option and click button Start of Toolbar1 line being an outline of image selected area or it's part will be drawn.
2 | This option let you to chose outline mode
3 | Outline width and style setting.
4 | Controls 3 allow drawing the different figures such as arrows on the ends of an open ended line and setting their sizes
5 | Patterns, textures, modes and colors setting.
6 | Transparency level setting.
7 | If you check off this option and click button Start of Toolbar1 fill of image selected area will be performed.
8 | Antialiasing. Smoothing of lines, used for fill.
9 | This check box lets you to draw lines of variable width. The law of change of width of a line is set with the help of dialogue window Colors
10 | Options 10 let you to chose fill mode
11 | Setting width and style of lines, used for fill .
12 | This controls let you to select function of change transparency level for a sequence of lines. To set a law of change of a transparency level for a line from a sequence of fill lines click button Set transparency level.
13 | The range of change of a level of a transparency is set by scroll bars Alpha1 and Alpha2.
14,17 | This controls let you to set parameters of fill in Sequential mode
15 | This elements let you to set amount of fill lines and amount of pieces, making each line.
16 | This elements let you to set amount of fill lines and amount of pieces, making each line, accordance with amount of used colors or with sizes of selection. Dialogue window "Colors" let you to set amount of colors. Selection tools let you to set sizes of selection.


Диалоговое окно Размеры

Dialogue window "Sizes"

Elements of dialogue window "Sizes" lets you to set exact sizes of an "Image window" and Selection.

The table below outlines the controls of the dialogue window.

1 | Textual fields "Image Width" and "Image Height" lets you to set exact sizes of an "Image window". Width and height can be chosen in a range from 1 pixel and more.
2 | Elements "Selection width", "Selection height", "Selection Offset X" and "Selection Offset Y" allow you to set the sizes and arrangement of Selection
3 | Selection center coordinates display.


Dialogue window "Duplication"

Dialogue window "Duplication" allows you to create new image as complex of identical parts. The sizes of created image can be determined by the sizes of components from which it consists or the sizes of the new image can be given beforehand.

The table below outlines the controls of the toolbox.

1 | The amount of parts, from which created image consists, is determined with the help of textual fields "Columns" and "Rows".
2 | Orientation of components is determined with the help of option buttons "Orientation of subimages".
3 | If option button "Free sizes" is checked sizes of new image are determined by the size of components from which it consists. If option button "Fixed sizes" is checked sizes of new image are determined by textual fields "Width" and "Height".
4 | The sizes of the created image can be given previously with the help of textual fields "Width" and "Height". By default sizes are equal 468 and 60. It is standard for one type of Web banners
5 | Before creation of new image it is necessary to load an image that you can use as initial component. Elements located under heading "Load the original image" are used for this. Button "Paste selection" let you to use as initial image current Selection. Button "Set color" allow you to create image as rectangular, that is painted over by chosen color.


Диалоговое окно Вращение

Dialogue window "Rotation and and deformation"

Dialogue window "Rotation and deformation" allows to load the initial image and to perform its rotation and other transformations. The image created by transformation opens in a new window when you press the button Go.

The table below outlines the controls of the dialogue window.

1 | This elements let you to shear image
2 | This elements let you to rotate image
3 | This elements let you to set new sizes of image
4 | This elements let you to set new orientation of image
5 | This elements let you to paste overall image or its selected part and use it for the subsequent manipulations


Vector brush rotation

Dialogue window "Vector brush and trajectory".

This dialogue window let you to set in a points of trajectory an angles of turn and the sizes and proportions of brush tip that is vector image. Click button Start of panel Toolbar1 to open this window. Button "Vector brush" of tools panel Toolbar2 must be pressed at that.

The table below outlines the controls on the dialogue window and their functional purpose.

1 | If checkbox 1 is checked trajectory consists from points which have identical coordinates. Vector image rotates around point with this coordinates in this case.
2 | Fixing angle of slope of vector image.
3 | Antaliasing - Setting antialiasing mode
4 | Digital brush stroke is made up of a brush tip painted at a number points. You can to set parameter Number Points using text field "Amount of points ". This parameter can vary over a wide range from the average value determined automatically. To fix this parameter check off option "Fixing amount of points".
5 | The given elements the check box and the button provide two modes of a drawing picture in points of a trajectory. If check box “Multicolor lines” is checked drawing picture is realized by consecutive carry out saved in memory multi-color lines. If check box is unchecked realization of a lines is carried out by the only one color from the given sequence of colors. The sequence of colors is set with the help of a dialogue window Colors. The amount of points of a trajectory can be set equal to amount of colors in color sequence by pressing button located to the left of a check box.
6, 7 | Elements 6 and 7 let you to set amount of rotations of a vector image around central point or around axis X and Y. The central point can coincide with the centre of a vector image or to be displaced concerning the centre of vector image using elements 11.
8 | In points of trajectory scale factors of change of the sizes of a vector image on axes X and Y can vary under the linear law or on complex functional dependences. Option buttons 8 provide a choice between these opportunities.
9 | In points of trajectory the sizes of a vector image can vary under the linear law. Elements 8 let you to set size of coefficient of vary on axis X and on axis Y
10 | In points of trajectory the sizes of a vector image can vary by sinusoid. Elements 9 let you to set amplitude and frequency of sinusoid vary.
11 | With the help of this elements the centre of rotation of a vector image can be displaced concerning the centre of a vector image.

If the check box complex functional dependences is checked the shown below panel appear seen. Panel let you to set functional dependences of scale factors for trajectory points.

The description of elements.

Elements 3 and 6 are diagrams of dependence of scale factors for axes X and Y from a points of trajectory. Elements 2 and 4 allow to choose the law of change of factors for axes, which are chosen by options 1. With the help of elements 5 functional parameters are set.


Dialogue window "Adjustment of colors".

The dialogue window allows combined adjustment of the basic color characteristics of the current Selection. In figure 1 the current Selection and result of the adjustments executed with the help of adjustment elements 2, 3, 4 is shown.


Диалоговое окно Текст

Dialog window "Text".

The source text is typing in a text field (3). The formatted text is seen in a window above. Click button OK to close dialog window. Drag mouse to set text in a desired position.

The table below outlines the controls of the dialogue window.

1 | The printed text
2 | Scaling of the printed text. It is used in that case that the printed text is too big and not placed in display of the printed text.
3 | Type your text into this text field
4 | Inversion of the text
5 | This elements let you configure the font family and size.
6 | Set these options to choose one of 3 modes: "Typical", "Graphical" and "Curved".
7 | Check off this options to Fill and Outline text
8 | Text alignment.
9 | Text rotation.
10 | Fill and Outline settings.
11 | These sliders determine the sizes of a rectangular inside which the text contains.
12 | Background color setting.
13 | If antialiasing is enabled color of some points of the text differs from given color and is intermediate color between the given color and a background. If color of a background of the display of printed color differs from color of area of the image, which will contain the text, these points will be to stand out against a background and bring distortions. For elimination of this effect color of a background of the display of the printed text can be set identical with color of a place, which will contain the text, or part of image, which will contain the text, can be pasted into display of the printed text and moving with sliders help.
14 | If you close dialogue window “Text” by clicking button OK dragging the mouse brings one of two variants. The first variant is: dragging the mouse will leave a trail of paint, allowing you to use the text image for creating volumetric text. The second variant is: dragging the mouse will move text image. These variants are specified with help of option 14.


Окно прототипа изображения

Image prototype window.

Video tutorial Image prototype window using click here

The Image prototype window is used for formation of lines used for fill of Selection. In prototype window user can set end points of lines, their width and color. From the Prototype window the created data is transferred to the Image Window, in which the image accepts final formation accordance with current settings. The Image prototype window opens when you click button Start in a mode Manual.

The description of elements

1 | This dark blue circles correspond to nodes, lying on the border of the selected image area. Click on circle to determine the end of connection. If two clicks are made on same circle or on the circles lying on left or right borders, the connection will not be carried out. If between two chosen nodes connection already was carried out, it is erased. In other case two ends are determined and connection may be carried out between end nodes.
2 | Image prototype window area
3 | When you click button Start in a mode Manual there are two variants. The first variant is the Image prototype window opens. The second variant is the Image prototype window do not opens. Data, obtained at the previous stage with the help of Image prototype window, are used for construction of the image in Image window. The option "Do not show this window" allows to choose one of these variants. To return to the first variant it is necessary to reset Manual mode.
4 | This controls let you to set draw width and draw color

Examples of using prototype window:


Dialogue window "Graphic filters".

The dialogue window "Graphic filters" allows to apply chosen with the help of the menu graphic filter or transformer to the current Selection. In figure 1 the current Selection and result of application of graphic filter to it is shown. The switch of modes and button Start (2) are used by some filters .


Набор инструментов кнопки

Set of tools "Quick tools"

Video tutorial Using Quick tools click here

These tools allow you to quickly perform some common actions.

Select image area you want to transform. Select tool using dropdown button "Quick tools". Set foreground color using controls of tool panel Toolbar3. Set width using controls of tool panel Toolbar2. Click dropdown button "Quick tools".

Examples.

  1. Origin image

  2. Inversion

  3. Uniform color

  4. White spot

  5. Grid

  6. Button edge 1, Button edge 2

  7. Button

  8. Button right, Button bottom, Button left, Button top

  9. Backdrop removal


Commands new open save

Commands of menu File New, Open, Save.

Command New.

Selecting this command will open a blank, untitled picture. Images Generator will suggest a default picture type, size and background color for your new image, which you may override by changing the program settings. The sizes of an Image window can be changed with the help of a dialogue window “Sizes”. Another way changes of the size of working area are selecting of a part of an image window, its copying and pasting as new image. Color of a background can be changed with the help of the button “Color of a background of an active window” of a dialogue window "Colors".

Command Open .

Use the Open command to load a preexisting picture file from hard drive, CD, diskette, etc. Selecting this command will display a list of available pictures using the familiar Windows File Selector. You can limit the types of files that appear in the File Selector by clicking file types list box. After selecting a file name click OK to open that picture.
You can read files in the formats:
bmp, cut, dds, exr, g3, gif, hdr, ico, iff, lbm, j2k, j2c, jng, jp2, jpg, jif, jpeg, koa, mng, pbm, pcd, pcx, pgm, png, ppm, psd, ras, sgi, tga, targa, tif, tiff, wap, wbmp, wbm, xbm and xpm.

Command Save.

The Save command displays a standard Windows File Selector allowing you to:

  • Assign a name to a new, untitled picture you have just created.

  • Save a modified picture under a different name, preserving the original file.

  • Save a copy of a picture in a different file format.

To save an edited image using a new file name, all you need to do is enter a new unique name in the File Selector's File Name field and click OK. If you want to store the new file in a different drive or folder, you may use the File Selectors controls to switch to the new location prior to clicking the OK button.
You can save files in the formats:
bmp, exr, gif, hdr, ico, j2k, j2c, jp2, jpg, jif, jpeg, jpe, pbm, pgm,png, ppm, tga, targa, tif, tiff, wap, wbmp, wbm and xpm


File formats.

The following file formats are supported

Open:
bmp, cut, dds, exr, g3, gif, hdr, ico, iff, lbm, j2k, j2c, jng, jp2, jpg, jif, jpeg, koa, mng, pbm, pcd, pcx, pgm, png, ppm, psd, ras, sgi, tga, targa, tif, tiff, wap, wbmp, wbm, xbm, xpm

Save:
bmp, exr, gif, hdr, ico, j2k, j2c, jp2, jpg, jif, jpeg, jpe, pbm, pgm,png, ppm, tga, targa, tif, tiff, wap, wbmp, wbm, xpm

Adjustments:
bmp, jpg, jpeg, j2k, jP2, Tif, Tiff, Tga, Targa, PCD, HDR, EXR, PGM, PBM, PPM, PGMRAW, PBMRAW, PPMRAW

Transparency is supported for PNG and GIF file formats. For PNG file format the range of transparent colors may be set.

You can to create 16 or 32 digits icons.


Copy and Paste.

Copy, Crop to Selection and copy

You can copy in the clipboard the overall image or the selected part of the image. To copy the overall image select item of menu Edit "Copy". To copy the selected part of the image select item of menu Edit “Crop to Selection and copy ". Access to this item is provided at the pressed button "Switch of modes" of tool panel Toolbar2. The shape of the copied part coincides with the shape of Selection, and another part of a rectangular of copying is painted over by system color. You can paste an image in the clipboard as the new image or paste into a window of same or other application.

Paste.

If there is an image in the clipboard, this command will allow you to paste it. This command has the following versions:

As new image.
This command first creates a new image, makes it active, and then pastes the contents of the clipboard in to it. The new image is exactly the same size as the image that is in the clipboard.

Paste into window.
Access to this menu item is provided at the pressed button "Switch of modes" of tool panel Toolbar2. Command "Paste into window" pastes image in an active Image Window. Thus there are 3 variants:

  • Origin sizes. Image keeps the sizes and the rectangular shape. Command opens dialogue window. This window let you to set level of a transparency of one color, all colors or all colors except one. Coordinates of pasted image are determined by position of the current Selection.

  • Selection shaped. The sizes of the image change and become equal to the sizes of Selection. The shape of pasted part coincides with the shape of Selection, and another part of a rectangular appears invisible. You can to set level of a transparency of one color, all colors or all colors except one.

  • Paste and Add. There is an addition of colors of pasted part and the selected area of the active image. You can to set parameters of this command with the help of a dialogue window "Addition of images".


Tools Pen , Line, Bezigon, Bezie, Spray

Tools of Toolbar1 Pencil, Line, Polygon, Bezie, Spray, Grid.

Pencil tool.

  • Select foreground color using controls of tool panel toolbar 3

  • Select draw width

  • Click and drag on the image window to draw the line

Line tool.

  • Select foreground color using controls of tool panel toolbar 3

  • Select draw width

  • Click and drag on the image window to draw the line

For realization of a horizontal line, a vertical line or line under a angle of 45 degrees press button " Shift ". You can to measure distance between two points and an angle between segments with help of this tool.

Polygon Tool

  • Select foreground color using controls of tool panel toolbar 3
  • Select draw width
  • Click and drag on the image window to draw the line

For end of construction of a line right click mouse.

Bezie tool.

  • Select foreground color from toolbar

  • Select draw width

  • Click and drag on the image window to draw the line

Establish mouse pointer in top of an arch and press the left button, and then change curvature of an arch, moving the mouse. For drawing the second arch repeat the instruction

Spray tools.

  • Select foreground color using controls of tool panel toolbar 3

  • Select spray tool using the switch located in the bottom part of the tool panel toolbar 2

  • Select draw width

  • Select eraser width

  • Click and drag on the image window to draw the spray

Grid

By the first pressing the button “Grid” appears a uniform grid. Color of a grid is set with help of the indicator of foreground color of Toolbar3. By the second pressing the grid disappears. At a seen grid tools "Raster brush ", "Pencil", "Line", "Polygon", " Curve Безье " can be used


Items of the menu Tools.

  • Resample. Allows changing the sizes of the image.
  • Apply palette. Saved in files with extension pal palettes or built - in palettes can be used. Apply to selected part of the image.
  • Shadow. The dialogue window Shadow allows to set transparent color, color of a shadow, displacement, a blur level and a level of transparency. By default the shape of a shadow is determined by the shape of Selection.
  • Colors Replacement . Allows to replace or to isolate several colors of Selection simultaneously.
  • Texturising. Matrix from the given images impose on the original image. Parameters are set with the help of a dialogue window.
  • Combine. Superimpose two images. Parameters are set with the help of a dialogue window.
  • Color Channels. Allows to select any component of RGB color model or to change ratio between components RGB and HSL color models
  • Coloration. Changing component H in HSL color model.


Save, Open Selection.

The item "Save Selection" of the menu Edit is seen if the button "Mode switching" of tool panel Toolbar2 is pressed. Contrary the item "Open Selection" of the menu Edit is seen. Saving selection means saving in a file description of a line, which shape is determined by the shape of Selection border. Colors and width of that line are set with dialogue windows "Color" and "Fill and Outline modes" help similarly to creation of a Vector brush tip. The description of line is saved in a text file with *.sel extension.
The typical text editor as, for example, Notepad can see the given file. The description of line is saved as a sequence of point coordinates X, Y concerning the beginning of coordinates, which is the center of a line. Unit of measurements is pixel. The file consists of lines on 3 numbers in each line. First two numbers are coordinates X and Y, and the third is color of the appropriate segment of a line. The first line of a file contains the working information consisting of line width and style and amount of segments of line.
Description of a line, contained in a file with extension *.sel, is used for construction a Vector brush. Command "Open Selection" of menu File is used for this. To use Vector brush press the button "Vector brush" of tool panel Toolbar2.
The file with extension *.sel, can be used irrespective of Images Generator for example in engineering tools with program control. Color of segment of line can be treated as a set of 3 parameters corresponding by 3 component of RGB color model.


Инструменты Выделения

Selection tools.

Video tutorial Selecting and fill image agea click here

Selection is the selected area of the image which border is the continuous closed line. For selection of a part of the image Selection tools are used. The button - switch "Selection tools" is located on the tool panel Toolbar1.
Selection tools share on 2 groups. The first group works by drawing lines with the mouse help to indicate the selection. The second group makes a selection by based upon the colors in the image. Tools the Rectangle, Shape, Hand-drawn, Path and Bezie are based on mouse dragging. Tools Magic Wand1, Magic Wand2, and Background border use color characteristics of the image.
To create Selection using tools the Rectangle, Shape or Hand-drawn press the mouse button, drag mouse and release button. Releasing the mouse button completes the Selection. When completed, selections are displayed as moving dashed lines, traditionally referred to as the marching ants. If you use tool “Rectangle” shape of Selection will be rectangle. If you use tool “Shape” shape of Selection will be shape specified with dialogue window Shapes help. If you use tool “Hand-drawn” line of moving of the mouse will be a part of border of Selection. Other part will be a piece of a straight line between the ends of a line.
To create Selection using tool “Path” click the mouse left button in one or more points and move the mouse. Thus the broken line will be formed. To make broken line closed click mouse right button. For realization of a horizontal piece of a straight line, a vertical piece or piece under a angle of 45 degrees press button " Shift ".
In points of a break of a broken line rectangular are shown. Having pressed the button inside a rectangular and moving the mouse the point of a break also moves. Thus the shape of Selection changes.
Tool Bezie is used by triple pressing the button and dragging mouse. Obtained curve Bezie will be a part of border of Selection.
To remove the marching ants being border of Selection, click the mouse outside of Selection. To make marching ants visible press the button " Current selection, smoothing selection". To change position of Selection press the button inside Selection and drag the mouse.


Инструменты выделения Magic Wand1, Magic Wand2 и Граница Фона.

Tools Magic Wand1, Magic Wand2 and Background border.

Video tutorial Selecting and fill image agea click here

These tools take into consideration such factors as the actual content of the image, color of reference point and the current parameters setting. They let you to obtain Border of Selection. Border of Selection is the closed not crossed line, which divide all image points on two parts. First part of points belong to Selection, second part do not belong to Selection. Images Generator provides two variants of division of points of the image on two parts. First variant is used by Magic Wand1 and Magic Wand2 tools. Second variant is used by Background border tool.

Magic Wand1 and Magic Wand2 tools. Color of all points, that are adjacent to boundary curve and belong to Selection, is identical if Magic Wand1is used or is in the given range if Magic Wand2 is used . Do not exist points, that are adjacent to boundary curve and do not belong to Selection, color of which is in the given range.

Background border tool. Color of all points, that are adjacent to boundary curve and do not belong to Selection, is in the given range. Do not exist points that are adjacent to boundary curve and belong to Selection color of which is in the given range. Hence, Selection can consist only of points, color of which is in the given range, can consist of such points in part or do not have such points in general.

For definition of closeness of colors next measures are used:

  • a belonging of any component of RGB color model or their any combination to the given range

  • a belonging of sum components of RGB color model to the given range

  • a belonging of any component of HSL color model or their any combination to the given range

Color of a background is set with help of tool "Eyedropper" or with help of the button "Set background color" of dialogue window "Background border". The reference point is set with help of mouse click or with help of controls located under an inscription "Fixing click point".

Example 1. Tools Magic Wand2 and Background color using.

Example 2. Copy and paste as the new image the left red circle. Apply tool Magic Wand1 having clicked in a point with coordinates 60 , 60. The shape of Selection will be a rhombus. Apply the tool Background Border in the same point with such parameters: the Mode - Intensity, color components of background are R=255, G=0, B=15, Values of options R, G, B are R-False, G-False, B-True, value of tolerance is 2 %. You will obtain a figure located on the right.


Выделение с использованием инструмента Масштабирование

Selection of image area with Zoom tool using.

To select part of the image you can to do as follows:

  • Select with the mouse help rectangular part of image, crop, copy and paste it in a new window.

  • Update in the increased scale selected part and return to former scale.

  • Copy of the updated part and paste it on an initial place using commands of menu Edit.

Example.


Закрашивание и Обводка

Fill and Outline.

Outline

Outline is line showing the outer edge of Selection. Outline may coincide with overall border of Selection or to be its part. If outline is part of Selection border remaining part is piece of a straight line between outline end points. To draw outline with help of dialog window "Fill and outline modes" set parameters of outline and click button Start of tool panel Toolbar1. Width, style, colors and transparency are parameters of outline. These parameters are set with help of controls located on the top of dialog window. Modes "Concentric" and "Curves" are simultaneously modes of outline and fill. If the outline is open-ended line on the ends of this line such figures as arrows can be drawn.

Fill

Program provides two type of Fill tools. Ther are Fill of coniguous region, which is determined by point, in which you click mouse, and fill of selected image area, obtained with Selection tools help.

Button of Fill tool, that fill coniguous region, is located on tool panel Toolbar2. This Fill tool is based upon the seed color you pick on the image to select a contiguous region and fill the specified contents by Foreground color. Foreground color is set with controls of tool panel Toolbar3 help.

For fill of selected image area buttons, located on tool panel Toolbar, are used. It is three ways to fill selected image area. There are next.

  1. Set modes and parameters with help dialog window 'Fill and Ouline Modes' and click button Start of tool panel Toolbar1. To open dialog window 'Fill and Ouline Modes' click corresponded button
  2. Set modes and parameters with help of dialog window 'Fill of image area', set fill direction with mouse help and click button OK of this window. To open dialog window 'Fill of image area' click button 'Fill areas by lines'
  3. Use switch 'Quick tools'. Set switch 'Quick tools' in the 'Uniform color' position and click its button.

In modes Sequential, Concentric and Nonlinear lines, which configuration is determined by shape of Selection border, are used. Lines are drawing with uniform density. For each line color is given. Color of a line is determined with the help of a dialog window “Colors”. More detail.

Video tutorial Fill of image selected area click here


Закрашивание выделенной области линиями.

Fill of selected areas by lines.

In the program the fill method, based on use of lines of complex configuration, is used. Lines are drawing with uniform density. Configuration of lines is determined by shape of border of selected area. For each line color is specified with the help of a dialogue window “Colors”.

To use this method set one of modes "Sequential", "Concentric", "Manual" or "Curves" using dialog window “Fill and outline modes” and click button Start located on panel Toolbar1. Lines will be consequently drawn within the bounds of selected image area.
You can to use fill by lines method in a different way too. Click button "Fill areas by lines" located on panel Toolbar1. Blinking dashed line designating border of Selection and dialog window 'Fill of image area' will be shown. Set type of fill using elements of dialog window and close of it. Dragging mouse set direction of fill.
Type of fill is determined by specified color sequence. A special case of fill is gradient fill. Lines are carried out up to such degree of density that there is a partially imposing of lines. Amount of colors in a color sequence is equal to amount of lines. The colors in color sequence are ordered so that colors order provides gradient effect.

Examples:

How it work.

Compare to a typical fill.

Examples of tool "Fill areas by lines" using click here.

Video tutorial Fill of image selected area click here


Прозрачность

Transparency

Video tutorial Transparency functions click here

For every line used for fill of Selection in Sequential or Concentric mode you may to specify not only color but also level of transparency. There are some built - in functions with which help the level of a transparency for the next line from a sequence of lines is determined. Access to these functions is provided with the help of the option “Transparency law” of dialogue window "Fill and outline modes". Option “Transparency law ” is enabled if option “Antialiasing” is checked. Elements under an inscription “Functions and Parameters” and sliders Alpha1 and Alpha2 let you to set level of transparency. Setting of level of transparency for every fill line provides a number of unique bright effects.

Examples.


Кисти

Tools Brushes.

In an image editing applications digital brush simulate a real brush strokes. Digital brush stroke is made up of a brush image painted at a number points. Typically these images are painted at a fixed interval from each other along the stroke. Every value of distance between images have its merits and demerits, but the distance equal of 1/4 image width more often is used.
In the Images Generator the preset and custom brushes are used. The preset brushes are considered click here.
The custom brushes are brushes created by the user. In this program custom brushes share on Raster brushes and Vector brushes. Raster brush tip is raster image. Vector brush tip is vector image. Buttons "Make Raster brush" and "Make Vector brush", located on panel Toolbar1, are used to create images used as brush tip. To use Raster or Vector brush press button "Raster brush" or "Vector brush" of tool panel Toolbar2.
To create brush stroke drag mouse or use preliminary given trajectories. For setting trajectories Selection Tools are used. If you use trajectories you can to set distance between images and their amount with the help of a dialogue windows. If you use mouse the distance between brush stroke points is a variable value and depends on speed of moving of the mouse and on speed of a computer.
If you use Raster brush one of two modes may be used. First mode: at moving the mouse before painting next image previous image is erased. By it it is reached illusion of moving of the image. Second mode: previous image is not erased. By it it is reached illusion of realization of line. These modes are set at creation of brush.
If you use trajectories the angle of turn and other parameters can be given in each point of a trajectory.

More in detail about Raster and Vector brushes:
Raster brushes
Vector brushes

Video tutorial Using and creation of Vector and Raster brushes click here.


Векторные кисти

Vector brushes.

The tool the Vector brush is based on use of vector images. We will call as vector image set of one or more closed or open ended curves. Curve is series of line segments linked end to end. Every segment of curve is characterized by two parameters - color and width. If colors of segments of curve differ among themselves we will call such curve as multicolor line. If width of segments of curve differ among themselves we will call such curve as line of variable width.
User create Vector brush using Selection tools, built-in curves and shapes in modes Sequential, Concentric, Manual, Curves or Outline. To chose one of this modes dialog window Modes is used. To set colors or width of curve segments dialog window Colors is used. Shape of curves may be determined by setting shape parameters with dialog window Shape help or by dragging the mouse. The width and height of the vector image are set by the user with the help of the mouse or with the help of the dialogue window Sizes. Elements of tool panel Toolbar1 must be active for this.
The vector image created by the user corresponds to picture, which is created by pressing button Start of panel Toolbar1 in modes Linear, Concentric, Manual, Curves or Outline. For creation of the vector image the user set curve shape and other parameters and presses the button " Make vector brush ". Dialog window " Creation of a vector brush " opens at that. By pressing button OK of this window the vector image is created and saved in memory. If you click button OK at checked option "Save current selection" vector image will be saved as file with extension '*.sel'.
The Vector brush allows creation pictures by drawing of series of vector images. Buttons 'Mode switching' and 'Vector brush' of tool panel Toolbar2 must be pressed at that. Creation of the image is carried out at moving of the mouse or at use of trajectories. Trajectory must be preliminary created with the help of the same tools, which are using for vector image creation.
In points of a trajectory the vector image can change its parameters that are the sizes of the image, its proportions and angles of turn concerning the center and concerning axes X and Y. Parameters are set with the help of a dialogue window " Rotation and movement on a trajectory of a vector brush", which opens by pressing button " Start " of panel Toolbar1. The range of change of the sizes and proportions in points of a trajectory is set with the help of scale factors on axis X and on axis Y. Scale factors can change under the linear law, under the sine wave law, or under comlex law. Complex laws are set at checked option "Complex laws of change of scale on axes X and Y". Two diagrams of a dialog window represent functions of change of scale factors graphically. On diagrams the horizontal axis corresponds to a trajectory, and the vertical axis corresponds to size of scale factor. The user manually can change functional dependences in an interactive mode with the help of elements of adjustment.

Example of using vector brush for creation of volumetric images.

Video tutorial Using and creation of Vector and Raster brushes click here.


Растровые кисти

Raster brushes.

For creation of a Raster brush the user with the help of Selection tools select a part of the initial image and presses the button "Make a Raster brush ". Thus the dialogue window "Raster brush creation" opens. With the help of this window the user select color to be 100% transparent and a level of a transparency for other colors. The choice of 100% transparent color determine the type of a brush tip.
Check box “Let to save traces of brush moving” let you to specify one of two modes. The first mode is: dragging the mouse will leave a trail of paint, allowing you to use the brush image as a paintbrush. The second mode is: dragging the mouse will move brush image.
To use Raster brush press button "Raster brush" of tool panel Toolbar2. If you click button Start of Toolbar1 at the pressed this button the dialogue window "Raster brush rotation and movement on a trajectory" opens. With the help of this window angles of turn and amount of points of trajectory are set. At closing this window raster image will be drawn in points of trajectory. The trajectory should be preliminary given with the help of Selection tools.

An example. Start the program. Press the button "Raster brush " of panel Toolbar2. Click button Start of panel Toolbar1. In the opened dialogue window set amount of points of a trajectory and check off options "Angle of slope along trajectory " and "Brush rotation". Press button OK. The image in figure below will be created.

Video tutorial Using and creation of Vector and Raster brushes click here.

Video tutorial Using and creation of Raster brushes for 3D image creation click here.


Предустановленные кисти

Preset brushes.

By pressing the button "Preset brushes" of tool panel Toolbar2 three switches, located in the bottom part of the panel, appear the seen. These switches let you to select brush and to set parameters. To use preset brush press mouse button and drag mouse. Result examples are given in figure below.
Tools, which can be selected with the help of the button Spray of tool panel Toolbar2, are used similarly


Многоцветные линии

Multi-color lines.

You can to draw line by one of two methods. First method rests on use of tool Pen. To use this method press button Pen, located on tool panel Toolbar2, set color and width and draw line by dragging mouse.
The second method may be used when tool panel Toolbar1 is active. On the first stage it is necessery to determine trajectory. To determine trajectory you can to use Selection tools, built-in curves and shapes. On the second stage set such parameters as width and style and click button Start of Toolbar1. Second method give more possibilities. It allow to draw line by not only one color but more colors in the given sequence.
Trajectory is curve, consisting of line segments linked end to end. If colors of segments differ among themselves we will call such curve as multi-color line. Color panel of the dialog window "Colors" allows to specify color for each line segment. You can to set amount of colors in color sequence equal to amount of segments using buttons 'Start end end colos' end 'Color panel'. Different functions may be defined to form color sequence. Controls of dialog window 'Colors' are using for this.
Dialog window 'Colors' let you to display scaled trajectory and to break trajectory on the parts using uniform distributed on trajectory markers (more detais). For trajectory part we can set color or gradient sequence of colors. For this purpose indicators "Start color", "End color", the switch "Type of a color sequence" and the button "Set color" of dialogue window "Colors" are used.

Multi-color lines can be applied to creation of three-dimensional images. An example. The program also allows saving coordinates and colors of the making a multi-color line pieces in a text file. Color is saved as a set of 3 values in a range 0-255 corresponding by 3 component of RGB color model.

Examples;

Video tutorial Multicolor lines click here


3D Graphics

Images Generator gives the following opportunities for creation of volumetric images.

1. Gradient fill is carried out in view of the shape of selection borders. Examples:

2. The second way of creating of volumetric images is using of the brush created by the user. For realization of lines with the help of such brush beforehand trajectories can be given. During movement the brush on trajectories it can change the sizes, proportions and angle of turn. Examples:

Video tutorial Using and creation of Vector and Raster brushes click here.

3.Multicolor trajectory using

Video tutorial Using and creation of Raster brushes for 3D image creation click here

4. Rotation of a vector brush concerning axis Y.

5. Using of the tool “Thin transformation of raster images”.

6. Using for creation of volumetric images of filters and graphic effects.


multiwidth_lines.htm

Lines of variable width.

To draw lines of variable width it is necessery preliminary to determine trajectory. The trajectory can be obtained with the help of Selection tools, built-in curves and shapes. Trajectory is curve, consisting of line segments linked end to end. For each segment two parameters width and color may be set. If width of curve segments differ among themselves we will call such curve as line of variable width.
Width for each curve segment may be set with dialog window "Colors" help. The dialog window allows in regular intervals to place on a curve markers as circles of red color. Clicking the mouse on markers we select points on the curve. Numbers of these points are displaying by text fields "Start" и "End.". To set the law of change of width for part of the curve it is necessary to choose ends of part, to set width of its end points with the help of switches Width1 and Width2, to choose the law with the help of the switch Sequence type and to click the button Set Sequence. In that way the law of change of width for every part is set.

Lines of variable width can be multi-colour lines. The setting of a sequence of colors as well as the setting of width is carried out with the help dialog window "Colors".

Example

Video tutorial Multicolor lines click here

More examples


Creation of a open-ended line

Creation of an open-ended line of the complex configuration.

Video tutorial Creation of an open-ended line click here

Using Selection tools you can obtain the closed curve, which configuration is determined by the shape of Selection border. This curve with the help of a dialog window Colors can be broken on parts (as described here) and separate parts can be cut out from an initial curve and can be used independently. In such way you can obtain open-ended curve of a required configuration.

On example given below stages of creation of an open-ended line of a complex configuration are shown.
On the first stage the figure, which part of border has a required configuration, is created.
At the following stage to this figure the Selection tool Background border is applied. The closed line being border of the given figure is obtained.
At the final stage the required part is cut out from the obtained closed line.
Obtained open-ended line with the help of the mouse can be moved in required position. Line width, style, a set of colors and type of the ends can be set. The description of a line as a sequence of coordinates can be saved as a text file. Menu item Save Selection is used for this.


Использование многоцветных траектории

Use of multi-color trajectories.

Video tutorial Use of multi-color trajectories click here

Multi-color trajectory we shall call a multi-color line, which is used as trajectory by the tool the Vector Brush. The multi-color line consists of segments, for each of which color from a color sequence is set. The color sequence is specyfied and displayed with the help of a dialogue window Colors.
The drawing of the vector image is carried out in the points of a trajectory that are the ends of line segments. Only one color is used for drawing vector image in trajectory point. This color is color of this point. Such mode is set with the help of a check box "Multi-color brush " of dialog window "Vector brush rotation and movement on a trajectory". The amount of portrayals of the vector image can be set equal to amount of pieces of a multi-color line with the help of the button located to the left of a check box.

Examples:

Other examples


Создание текстур

Textures creation.

Program let you to use some methods for creation of textures. One way of creation of textures is realization of lines of the complex configuration.

To create images shown below you can to do next. Set fill mode "Sequential" and parameters of this mode using dialog window "Fill and outline modes". Set drawing mode "Multicolor line" using dialog window "Colors". Click button Start of tool panel Toolbar1. Picture will be created. You can to modify created picture by using for example raster transformation.

Examples:


Тонкая трансформация

Transformation of raster images.

Video tutorial Transformation of raster images click here

In program unique method of transformation of raster images is used. This method allows you to obtain high-quality realistic images on the basis of the initial image. As initial image photo may be used. Type of tramsformation is determined by shape and sizes of created by the user curve. By changing parameters of curve you can to change type of transformation. You can to obtain curve using Selection tools and built-in shapes.

To transform initial image create directional curve and click located on tool panel Toolbar1 button 'Image transformation'. Dialog window 'Image transformation' will be opened. This window let you to chose one of modes of transformation. One group of modes provides enlargement of image selected area. Other group provides decreasing of selected area. You can to test various modes with the help of option buttons, button Start and button Undo of dialog window. Having received the best results click the button 'Dragging mouse'. Dialog window will be closed. Press mouse left button and drag mouse. At moving of the mouse you will receive various variants of transformation.

Examples.


Tool “Fill areas by lines”.

The button of the tool “Fill areas by lines” is located on panel Toolbar1. When you click this button the blinking dashed line will show you border of Selection or its part and dialog window “Fill areas by lines” opens. If option button “Linear mode” of this window is on direct lines will be used for image area painting. If option button “Nonlinear mode” is on lines, which configuration is determined by the shape of Selection and by chosen mode, will be used. The sequence of colors used for fill is determined with the help of a dialog window Colors. For painting selected image area it is necessary to carry out a line by mouse which angle of slope determine an angle of slope of painting lines. For setting of a horizontal direction, a vertical direction or a direction under an angle of 45 degrees use Shift key.

Video tutorial Fill of image selected area click here

Examples of tool “Fill areas by lines” using.


Combination of the shape templates

Combination of the predefined shape templates.

Convenient way of a combination of the predefined shape templates is using of selection tools based on content of the image. It is shown on an example below. The basic steps are following:

  1. Determine a set of shapes.
  2. Move shapes. Create Raster brush tip for this using background color of Image window as transparent color and move to the requied position created image by dragging mouse.
  3. Use Selection tool Background border for determination of outer border of figure 2. Result of this operation is figure, shown in picture 3. Create Vector brush as cited in this issue.
  4. Rotate Vector brush with dialogue window "Vector brush rotation and moving on trajectory" help. Result of this operation is shown on figure 4.
  5. Use Selection tool Background border for determination of outer border of figure 4. Result of this operation is shown on figure 5.

Video tutorial Use and creating vector images click here


Проведение линий

Drawing lines.

The Images Generator allows carrying out lines by various ways. For example, lines can be carried out by several colors. The basic steps are following:
With the help of selection tools trajectory being closed or open-ended line is determined. To draw line set fill mode with help of dialogue window “Fill and outline modes”, set parameters with help of this window and click button "Start " of tool panel Toolbar1. Modes "Sequential,", "Concentric" and "Curves" may be used. Option button "Multicolor line" of dialogue window "Colors" must be on.

Using of Vector or Raster brushes together with trajectories provide a number of properties of lines, for example, voluminosity. As trajectories built-in mathematical curves can be used.

One more way of realization of lines is using of one-color line. Such line is transformed to the selected area with the help of the selection tool Magic Wand1. The selected area is painted over by one of methods.

Maze


Measurements.

Measurements are carried out at pressed button "Line" of the tool panel Toolbar2.

To measure the distance:
Press button Line of Toolbar2. Click and drag mouse. Value of distance is displayed by status bar of main window. Use Undo tool to remove drawn line.

To measure the angle:
Press button Line of Toolbar2. Click and drag mouse. Value of angle is displayed by status bar of main window. Use Undo tool to remove drawn line.

Similarly for measurement of distance and angles with using tool Line the selection tool Path can be used

Sizes of image and Selection are displayed by elements of toolbox "Sizes".


Vector and Raster images

Vector and Raster images, Antiliasing, Alpha Channel.

Vector graphic. An image generated from mathematical descriptions that determine the position, length and direction in which lines are drawn. Vector graphics are created as collection of lines rather than as patterns of individual dots or pixels.

Raster image. An image composed of grid of pixels or dots. When working with raster images, you edit pixels rather than objects or shapes. Raster image has advantage in comparison Vector image because they can represent subtle gradations of shades and color.

Anti-aliasing. A method of smoothing curved and diagonal edges in images. Intermediate pixels along edges are filled to smooth the transition between the edges and the surrounding area.

Color mode A system that defines the number and kind of colors that make up an image. Black-and-white, grayscale, RGB, CMYK, and paletted are examples of color modes.

Alpha Channel An Alpha Channel allows transparency control. Certain image formats may only contain a single Alpha Channel allowing a transparency of on or off. Other formats allow a variable level of transparency.


Урок 2

Tutorial 2. Vector brush and trajectory.

Create shown in picture 1 figure using methods of the first lesson. Make Selection using tool Magic Wand1 similarly to the first lesson too. Open a dialogue window "Colors". Check off option button “Rotation of colors”. Check off option “Set color alteration points”. Using red circles and controls “Start color”, “End color”, “Color sequence type” and “Set color sequence” segment a borderline of Selection and for each segment set color or color sequence. You can obtain a figure shown in picture 2.
Close a dialogue window "Colors". Click the button " Make a vector brush" and click the button "OK" of dialogue window, which will open at that. The line 2 will be saved in memory and can be used as a vector brush.
Now we shall set a trajectory. Using dropdown button “Selection tools” of Toolbar1 select tool Path. Carry out a piece of a straight line with the mouse help. This line is trajectory of moving vector brush.
To use created vector brush press button “Vector brush” of tool panel Toolbar2. If we click mouse in some point of Image window figure shown in picture 2 will be drawn.
Click button Start of panel Toolbar1. In the opened dialogue window "Vector brush rotation and movement on a trajectory” set amount of points of a trajectory and close dialogue window. The pictures, similar to pictures, shown on figures 3and 5, will be drawn . If instead of a piece of a straight line to use line Bezie we shall obtain figure 4


Урок 3

Tutorial 3. Change of the sizes of a vector brush at movement on a trajectory.

Create a vector brush 2 and set a trajectory and the amount of points of a trajectory similarly to a tutorial 2. With the help of a dialogue window "Vector brush rotation and movement on a trajectory" set scale factors of the sizes on axes X and Y in points of a trajectory. For creation image shown in picture 3 text fields located under an inscription " Linear change of scale " are used. For creation image shown in picture 4 the check off option "Complex law of change of scale on axes X and Y". Controls and displays defying functions of change of scale factors will be seen. With the help of this controls set scale factors. Close dialogue window and click button Start.


Урок 4

Tutorial 4. Vector brush rotation .

Create a vector brush similarly to a tutoriaal 2. Vector brush is shown in picture 2. Press button “Vector brush” of Toolvar2 and click button “Start” of Toolbar1. Dialogue window "Vector brush rotation and moving on trajectory" opens. Check off the "Fixation of some point of a trajectory as centre of brush rotation" option. Set amount of points of a trajectory equal 17. Set amount of cycles of brush rotation around centre equal 1. Check off option "Brush displacement on Axes X and Y". Set value of left slider equal 15. At closing a dialogue window you will obtain figure 3.


Урок 4

Tutorial 5. Creation of volumetric images with use of multi-color trajectories.

Lesson 5. Create shown in picture 1 figure using methods of the first lesson. Make Selection using tool Magic Wand1 similarly to the first lesson too.
Now we shall set a trajectory. Using dropdown button “Selection tools” of Toolbar1 select tool Path. Carry out a piece of a straight line with the mouse help. This line is trajectory of moving vector brush.
To use saved vector brush press button “Vector brush” of tool panel Toolbar2. If we click mouse in some point of Image window figure shown in picture 1 will be drawn.
Click button Start of panel Toolbar1. In the opened dialogue window "Vector brush rotation and movement on a trajectory” you can to set amount of points of a trajectory using textual field "Amount of points". Uncheck checkbox "Multicolor brush". Thus the mode at which in points of a trajectory the picture will be drawn by the only one color from the given sequence of colors will be set.
By pressing the button located to the left of a check box “Multicolor brush” amount of points of a trajectory will be set equal to amount of used colors. In an initial condition the color sequence consists of 8 colors. Close a dialogue window " Rotation and movement on a trajectory of a vector brush " and press button Start of panel Toolbar1. You will create picture shown on figure 2.
To create figure 3, it is necessary to set a required sequence of colors and to execute similar actions. The sequence of colors is set with the help of a dialogue window Colors.
In points of a trajectory the sizes of the vector image can change on linear or on complex laws. Methods of setting scale factors are the same, as earlier described in a lesson 3.

Examples:


Урок 5

Tutorial 5. Raster brush creation.

The initial data for creation of a raster brush are a figure 1 and the figure 2. Create Selection using a figure 1 and selection tool Magic Wand 1 similarly to a tutorial 1. Drag with the mouse help defining Selection border blinking dashed line in area of the figure 2. If to perform operations of menu Edit " Crop to selection and copy " and " Paste as new image " we shall receive the image in figure 3. By pressing the button " Make a raster brush " of Toolbar1 the same image is created and saved in memory except that its one color is set transparent. The choice of transparent color sets the shape of a raster brush. Transparent color is set with the help of a dialogue window "Make a raster brush ". If to leave as transparent the color given by default we receive the image 4.
If at creation of a raster brush value of an option "Let to keep traces of brush movement" is False moving of the mouse results in moving the image of a raster brush. If at creation of a raster brush value of an option "Let to keep traces of brush movement" is True moving of the mouse create image shown in Figure 5.
For using of a trajectory click the button Start of Toolbar1and set parameters of movement of a raster brush in opened at that dialogue window. If oval will be used as trajectory you will obtain images shown in figure 6 and figure 7. For creation image shown in figure 7 rotation of raster brush is used.


Урок 6

Tutorial 6. Creation of the painted over figure of the complex shape.

A line of red color and the painted over rectangular lying under it are the initial data. Similarly to a tutorial 5 create a raster brush which shape is determined by an initial figure of red color. The image, from which the raster brush is created, will be the homogeneous color conterminous to color of a background. Moving with the mouse help a raster brush and leaving it in various points you can to obtain a figure shown in picture in the bottom part of the image.
The line, being outer border of a created figure, it is possible to receive with the help of the selection tool Background border.


Урок 7

Tutorial 7. Raster brush and trajectory.

From the image 1 created at the previous tutorial 6, we shall create the raster image 3 and we shall use it as a raster brush for construction of the volumetric image 4.
The line 2, being outer border of a created figure, it is possible to obtain with the help of the selection tool Background border. To determine set of colors open dialogue window Colors. Set required colors of indicators "Start color" and "End colors". Click the button "start and end colors" of dialogue window Colors. Obtained set of colors will be displayed with Color panel help. Using rotation of a set of colors set a required color sequence. Close dialogue window Colors and click button Start of Toolbar1. Line, being outer border of a created figure, will be drawn.
The line of internal border of a figure 1 can be received with the help of the selection tool "Magic Wand1". The sequence of colors for internal border is set similarly to a sequence for external border.
Having received the image 3 we create from it a raster brush similarly to a tutorial 5. We carry out construction of the volumetric image 4 by moving a raster brush on a trajectory given as a piece of straight line.


Урок 8 Графы

Tutorial 8. Grafs.

Set a white color of background and black color of ellipses with the help of a dialogue window "Colors". In a mode concentric draw ellipses similarly to a tutorial 1.
You can to draw connections as follows:
With the help of dialogue window Fill and outline modes set the following adjustments. Set mode Picture of outline. Set arrow sizes and width. Set colors and style of lines.
Set trajectory with help of selection tools Path, Bezie or Hand-drawn. Click button Start of Toolbar1. Line will be drawn.
Open dialogue window Text. Type text in text field 3. Set mode Curves and another parameters. Close dialogue window Text.
To set a text in a propriety place, click and drag with the left mouse button.


Tutorial 9. Shadows and the text.

Three ways of creation of shadows.

The first method consists in using of the tool Shadow of the menu Tools.

The second method. With the help of the tool Color Replacement create an inscription of black color and a raster brush from this inscription. Move a raster brush with the mouse help along an inclined piece. Figure of black color will be created. Apply the softening filter to this black figure. From an inscription of white color create a raster brush and impose it on a black figure.

The third method.

  • From an inscription 1 create an inscription of black color 2. For this purpose, for example, create a raster brush using color of an original inscription as transparent. Impose the image of a brush on a black background. At the next step create a raster brush using white color as transparent. So an inscription of black color will be created.

  • Apply to this inscription the tool Distortion with the help of a dialogue window "Rotation and transformation"

  • Apply the softening filter.

  • From an original inscription create a raster brush and impose it on a black background. 5


Урок 10. Создание изображения переключателя.

Tutorial 10. The handle of turn creation.

  1. Creation of shape template. For creation of shape template draw two circles in modes Concentric or Outline and determine outer border of created figure with the help of any of the selection tools.

  2. Creation of Vector brush. Set color sequence with toolbox Colors help and click button "Make a Vector brush". Dialogue window Create vector brush will be opened. Close this dialogue window. Vector brush is created and saved in memory.

  3. Creation of the image of lateral face. Set trajectory using selection tool Path, press button "Vector brush" of Toolbar2 and click button " Start" of Toolbar1.

  4. The forward side creation. Set color sequence with dialogue window "Colors" help. Check off option "Multicolor line" of dialogue window "Colors". Set Concentric mode of fill with dialogue window "Fill and outline modes" help. Draw a series of multicolor lines in Concentric Mode.

  5. Rim creation. Set parameters with dialogue window "Fill and outline modes" help. Draw Outline of selected image area.

  6. Combining rim, forward side and lateral face. Create Raster brushes for these elements and move there in propriety place.


Фильтры

Filters

A plenty of filters and transformers of the program give ample opportunities of updating images. To apply a filter or transformer select image area and click corresponded menu item. Examples:


Animation.

Unique properties of images allow to create original animation.

Video tutorial Creating clips click here


Абстракционизм

Abstractionism.

Images Generator provides a plenty of various opportunities that stimulates occurrence of new ideas and allows to artist to open the creative potential completely.

abstract texture
abstraction

abstration


Баннеры

Banners of sizes 120*600, 120*90, 160*90, 336*280, 468*60, 728*90.


Rotation of the vector image around axes X and Y

Examples of the images created by rotation of the vector image around axes X and Y.

Original vector Image.

Result of rotation


Закрашивание

Fill.

Modes Sequential, Concentric, Curves, Manual and Pixel.are used.

Video tutorial fill of image selected area click here

Mode Picture is used.


Использование создаваемой кисти

Vector brush and trajectory.

In points of trajectory vector image can change the sizes and angles of turn. Results are shown below.

Video tutorial creating 3D images click here


examplemultiwidthlines.htm

Examples of variable width lines.

Video tutorial Variable width lines click here

Method of creation of this lines click here


Примеры обоев.

Wallpaper examples.

wallpaper image | wallpaper art
wallpaper picture | wallpaper


Использование математических кривых.

Using of mathematical curves.

1. For realization of lines

2. For using as trajectories

3. For vector brush creation


VIDEO TUTORIALS

Images Generator VIDEO TUTORIALS

Introduction

Shapes, selecting and fill image agea, Raster and Vector brushes
http://www.imagesgenerator.com/video/introduction_part_1.htm

Photo and text transformation, Multicolor lines of variable width
http://www.imagesgenerator.com/video/introduction_part_2.htm

Fill of selected image area, 3D image creation, Image prototype window using
http://www.imagesgenerator.com/video/introduction_part_3.htm

Functions of a transparency, Blend modes demo, Creating and use of Raster Brush, Creating and use of Vector Brush
http://www.imagesgenerator.com/video/introduction_part_4.htm

Open-ended line of complex configuration obtaining, 3D image creation with using of Raster brush.
http://www.imagesgenerator.com/video/introduction_part_5.htm

Use of Images Generator

Clips creation
http://www.imagesgenerator.com/video/clipcreation01.htm

Digital Art Creator
http://www.imagesgenerator.com/res/Presentation/DigitalArtCreator.ppt


LICENSE INFO

License Terms:

The license distributed with "Images Generator" grants you the right to use the "Images Generator" on a single client computer at a time and by a single user at a time, subject to the restrictions listed below and the disclaimer relating to warranties, support and damages.

1. Disclaimer: This software is provided on an "as is" basis, without any other warranties, or conditions, express or implied, including but not limited to warranties of merchantable quality, merchantability or fitness for a particular purpose, or those arising by law, statute, usage of trade or course of dealing. The entire risk as to the results and performance of the Product is assumed by you. Neither we nor our dealers or suppliers shall have any liability to you or any other person or entity for any indirect, incidental, special or consequential damages whatsoever, including but not limited to loss of revenue or profit, lost or damaged data or other commercial or economic loss, even if we have been advised of the possibility of such damages or they are foreseeable; or for claims by a third party. You may have other rights which vary from state to state.

2. Restrictions: This license gives you the right to use this software but all rights not specifically mentioned in this agreement, including ownership rights, intellectual property rights, trademarks and copyright, are reserved by Panasoft. You may not decompile, reverse engineer, disassemble or otherwise reduce the software to a human perceivable form. You may not modify, rent or resell for profit the software, or create derivative works based upon the software.

Copyright @2002-2010 Panasoft.Ltd. All Rights Reserved.


Product info

Images Generator

Product info

Version 9.16

Last updated: 14.10.2010

Author: Panasoft

Copyright: Panasoft 2010

Web site:
http://www.imagesgenerator.com

Contact e-mail: p739@stel.sebastopol.ua


Инструменты Clone, Fill, Eyedropper, Zoom, Lasso

Clone tool, Fill tool, Eyedropper tool, Zoom tool.

Command buttons of these tools are located on the tool panel " Toolbar2 ".

Clone tool.

Clone tool enables to copy area of the image in other area of same or other image.

  • Hold down Shift key and click on the image for the first source point.

  • Click on the image for the second source point.

  • Select draw width with control "Draw width"

  • Click and drag on the image window to draw the lines.

Fill tool.

Fill tool is based upon the seed color you pick on the image to select a contiguous region and fill with the specified contents by Foreground color. Select foreground color using controls of Toolbar3 or Eyedropper tool. Click area for which it is required to execute fill.

Eyedropper tool.

This tool let you to determine color in point. The RGB and HSL values are displayed.
Click and drag mouse. Value of color in point will be displayed in dialogue windows: "Colors", "Modes ", "Set Transparent color", "Background color", "Shadow", "Color replacement". Values of colors of sequence of points will be displayed in dialogue window "Color replacement"

Zoom tool.

Changes scale of the image. A window "Zoom" is seen when you press button "Zoom tool ". Scale of image may be changed with help of this window. Scaled image can be updated with help of tools Pen, Line and Eyedropper. For returning in an initial scale it is necessary to click the button "OK".